> ## Documentation Index
> Fetch the complete documentation index at: https://kraken-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Methods

> Retrieve methods available for depositing a particular asset.

**API Key Permissions Required:** `Funds permissions - Query` and `Funds permissions - Deposit`




## OpenAPI

````yaml /openapi/spot-rest.yaml post /private/DepositMethods
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /private/DepositMethods:
    post:
      tags:
        - Funding
      summary: Get Deposit Methods
      description: >
        Retrieve methods available for depositing a particular asset.


        **API Key Permissions Required:** `Funds permissions - Query` and `Funds
        permissions - Deposit`
      operationId: getDepositMethods
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/methods'
      responses:
        '200':
          description: Deposit methods retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/methods-2'
components:
  schemas:
    methods:
      title: Get Desposit Methods Request Body
      required:
        - nonce
        - asset
      type: object
      properties:
        nonce:
          $ref: '#/components/schemas/nonce'
        asset:
          description: Asset being deposited
          type: string
        aclass:
          description: Asset class being deposited (optional)
          type: string
          enum:
            - currency
            - tokenized_asset
          default: currency
        rebase_multiplier:
          type: string
          enum:
            - rebased
            - base
          default: rebased
          nullable: true
          description: |
            Optional parameter for viewing xstocks data. 
            - `rebased`: Display in terms of underlying equity.
            - `base`: Display in terms of SPV tokens.
      example:
        nonce: 1695828271
        asset: XBT
    methods-2:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/method'
        error:
          $ref: '#/components/schemas/error'
      example:
        error: []
        result:
          - method: Bitcoin
            limit: false
            fee: '0.0000000000'
            gen-address: true
            minimum: '0.00010000'
          - method: Bitcoin Lightning
            limit: false
            fee: '0.00000000'
            minimum: '0.00010000'
    nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
    method:
      title: depositMethod
      description: Deposit Method
      type: object
      properties:
        method:
          description: Name of deposit method
          type: string
        limit:
          description: >-
            Maximum net amount that can be deposited right now, or false if no
            limit
        fee:
          description: Amount of fees that will be paid (flat fee)
          type: string
        fee-percentage:
          description: >-
            Percentage fee that will be paid (used instead of `fee` for some
            methods, e.g. Lightning)
          type: string
        address-setup-fee:
          description: Whether or not method has an address setup fee
          type: string
        gen-address:
          type: boolean
          description: Whether new addresses can be generated for this method.
        minimum:
          type: string
          description: Minimum net amount that can be deposited right now
    error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````